> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Firm Position Limits

> Updates position limits for a specific firm



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json post /rest/firm-position-limits/{firm_uuid}
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/firm-position-limits/{firm_uuid}:
    post:
      tags:
        - Firm Position Limits
      summary: Update Firm Position Limits
      description: Updates position limits for a specific firm
      operationId: updateFirmPositionLimits
      parameters:
        - name: firm_uuid
          in: path
          description: The UUID of firm to update.
          required: true
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
      requestBody:
        description: Parameters to update the specified firm's position limit
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFirmPositionLimitsRequest'
        required: false
      responses:
        '200':
          description: Successfully updated firm position limits
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: Invalid parameters
        '403':
          description: Insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    UpdateFirmPositionLimitsRequest:
      type: object
      additionalProperties: false
      properties:
        long_limit:
          type: integer
          format: int32
          example: 1000000
        short_limit:
          type: integer
          format: int32
          example: 500000
        weekend_margin_multiplier:
          type: number
          format: double
          example: 2
      required:
        - long_limit
        - short_limit
        - weekend_margin_multiplier
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````